{
  "name": "@sy/low-code-designer",
  "description": "低代码编辑器",
  "private": true,
  "version": "1.0.0-1",
  "type": "module",
  "scripts": {
    "setup": "npm install --unsafe-perm --registry=https://registry.npmmirror.com",
    "dev": "cross-env ENV_TYPE=local vite",
    "build": "npm run build:prod",
    "build:sit": "vue-tsc && cross-env ENV_TYPE=sit vite build",
    "build:uat": "vue-tsc && cross-env ENV_TYPE=uat vite build",
    "build:pre": "vue-tsc && cross-env ENV_TYPE=pre vite build",
    "build:prod": "vue-tsc && cross-env ENV_TYPE=live vite build",
    "preview": "vite preview",
    "clean": "node ./scripts/clean.mjs"
  },
  "dependencies": {
    "@vtj/web": "^0.9.30",
    "vue": "~3.5.0",
    "vue-router": "~4.5.0",
    "element-plus": "^2.9.4",
    "@vtj/ui": "^0.9.30",
    "@vtj/materials": "^0.9.30"
  },
  "devDependencies": {
    "@vtj/cli": "^0.9.8",
    "@vtj/pro": "^0.9.30",
    "@vtj/local": "^0.9.30",
    "@sy/vite-plugin-http2-proxy": "workspace:*",
    "vite-plugin-mkcert": "^1.17.6",
    "vite": "^6.1.1"
  },
  "packageManager": "pnpm@10.2.1+sha512.398035c7bd696d0ba0b10a688ed558285329d27ea994804a52bad9167d8e3a72bcb993f9699585d3ca25779ac64949ef422757a6c31102c12ab932e5cbe5cc92"
}